layui.extend({
    common    :   'js/common'
}).use(['jquery','table','layer','form','common'], function () {
    var $ = layui.jquery;
    //  引入表单插件
    var form = layui.form;
    var common = layui.common;
    //  弹窗插件
    var layer = layui.layer;
    //  引入表格插件
    var table = layui.table;

    //监听提交
    form.on('submit(addConfirm)', function(data){
        common.sendAsyncRequest("/ad/type/addAdType",'POST',data.field,callbackFn);
    });

    //回调函数
    function callbackFn(result) {
        if(result.code=='200'){
            layer.msg("添加成功",{time:1000,shade : [0.1 , '#000' , true]},function () {
                // 父页面刷新
                parent.location.reload();
                //获取当前弹窗出层的名字
                var mylay = parent.layer.getFrameIndex(window.name);
                //关闭弹窗层
                parent.layer.close(mylay);
            });
        }else {//添加失败
            layer.msg("添加失败");
        }
    }

    //取消按钮
    $(document).on("click",".layui-layer-btn1",function(){
        //获取当前弹窗出层的名字
        var mylay = parent.layer.getFrameIndex(window.name);
        //关闭弹窗层
        parent.layer.close(mylay);
    });

    //字数限制
    window.wordLeg = function (obj) {
        var currleg = $(obj).val().length;
        var length = $(obj).attr('maxlength');
        if (currleg > length) {
            layer.msg('字数请在' + length + '字以内');
        } else {
            $('.text_count').text(currleg);
        }
    }

    //自定义校验
    form.verify({
        //类别重复校验
        checkName: function(value, item){ //value：表单的值、item：表单的DOM对象
            var check = false;
            $.ajax({
                url     :   '/ad/type/checkAdTypeName',
                data    :   {
                    name:   value,
                    id  :   $('#id').val()
                },
                type    :   'POST',
                async   :   false,
                success :   function(result){
                    check = result.data;
                }
            });
            if(check==true){
                return '该类别已存在';
            }
        },
        specialCharacters : function (value) {
            if(!/^[a-zA-Z0-9_\u4e00-\u9fa5\s·]+$/.test(value)){
                return '名称不能有特殊字符';
            }
            if(/(^\_)|(\__)|(\_+$)/.test(value)){
                return '名称首尾不能出现下划线\'_\'';
            }},
        length : function (value) {
            if (value.length <2 || value.length > 20){
                return  '名称只能输入2-20个字符!'
            }
        },
        remark: function(value){
            if (value.length > 200){
                return "字数不能超过200字！";
            }
        }
    });
});

